Bug 2021281 (CVE-2012-1949) - CVE-2012-1949 Mozilla: Miscellaneous memory safety hazards (rv:14.0/ rv:10.0.6) (MFSA 2012-42)
Summary: CVE-2012-1949 Mozilla: Miscellaneous memory safety hazards (rv:14.0/ rv:10.0....
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2012-1949
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: CVE-2012-1948
Blocks: 835033
TreeView+ depends on / blocked
 
Reported: 2021-11-08 17:46 UTC by juspence
Modified: 2021-11-12 19:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: CVE-2012-1948
Environment:
Last Closed: 2021-11-08 17:50:06 UTC


Attachments (Terms of Use)

Description juspence 2021-11-08 17:46:17 UTC
+++ This bug was initially created as a clone of Bug #840201 +++
+++ Cloned by PSDEVOPS team only to fix a data quality issue, no action needed +++

Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html

--- Additional comment from Huzaifa S. Sidhpurwala on 2012-07-14 10:22:49 UTC ---

Statement CVE-2012-1949:

Not Vulnerable. This issue does not affect the version of Firefox and Thunderbird package as shipped with Red Hat Enterprise Linux 5 and 6.

Acknowledgements CVE-2012-1949:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Brian Smith, Gary Kwong, Christian Holler, Jesse Ruderman, Christoph Diehl, Chris Jones, Brad Lassey, and Kyle Huey as the original reporters.


Note You need to log in before you can comment on or make changes to this bug.